inner_radius   = 10.0;
gap            =  0.25;
wall_strength  =  2.0;

outer_radius   = inner_radius + gap + wall_strength;
outer_diameter = outer_radius * 2;

translate([0, 0, outer_radius * 0.5])
difference() {
    union() {
        // Inner sphere
        difference() {
            sphere(r = inner_radius, $fn = 60);
            cylinder(
                d = 5.0, h = inner_radius * 2,
                center = true,
                $fn = 60
            );
        }

        // Outer sphere
        difference() {
            sphere(r = outer_radius, $fn = 60);
            sphere(r = inner_radius + gap, $fn = 60);
        }
    }

    // Bottom flat surface
    translate([0, 0, -outer_radius * 0.75])
    cube([outer_diameter, outer_diameter, outer_radius / 2], center = true);

    // Top flat surface
    translate([0, 0, outer_radius * 0.75])
    cube([outer_diameter, outer_diameter, outer_radius / 2], center = true);
}
